body, html {
    background-color: black;
    margin: 0;
    font-family: "Merriweather", serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: white;
}

h1, h2, h3 {
    margin: 0;
}

a {
    color: white;
    text-decoration: none;
}

a:hover {
    color: red;
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}

.btn {
    margin: 0;
    text-align: center;
    padding: 10px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: white;
    color: red;
}

.btn-header {
    margin: 0;
    text-align: center;
    padding: 1px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn-header:hover {
    background-color: white;
    color: red;
}

.nav-menu ul {
    display: flex;
    gap: 10px;
    list-style-type: none;
    padding: 5px;
    margin: 0;
}

.nav-menu li {
    text-align: center;
    padding: 5px 0px;
}

.nav-menu ul li a {
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}

.nav-menu ul li a:hover {
    border-bottom: 2px red solid;
    color: red;
}

.header-icons {
    display: flex;
    gap: 10px;
}

.insta-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.insta-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.insta-icon:hover .icon-blue {
    opacity: 1;
}

.insta-icon:hover .icon-white {
    opacity: 0;
}

.viber-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.viber-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.viber-icon:hover .icon-blue {
    opacity: 1;
}

.viber-icon:hover .icon-white {
    opacity: 0;
}

.telegram-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.telegram-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}
  
.icon-blue {
    opacity: 0;
}

.icon-green {
    opacity: 0;
}

.telegram-icon:hover .icon-blue {
    opacity: 1;
}

.telegram-icon:hover .icon-white {
    opacity: 0;
}

.whatsup-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.whatsup-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.whatsup-icon:hover .icon-green {
    opacity: 1;
}

.phone-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.phone-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.phone-icon:hover .icon-blue {
    opacity: 1;
}

.phone-icon:hover .icon-white {
    opacity: 0;
}

/* Бургер кнопка */
.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
    z-index: 10;
}
  
.burger span {
    width: 25px;
    height: 3px;
    background: white;
    transition: 0.3s;
}

.close-btn {
    display: none;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 2rem;
    color: white;
    cursor: pointer;
    z-index: 30;
}

/* Hero Block */

.hero {
    display: flex;
    flex-direction: column;
    background-color: rgb(25,25,30);
    text-align: center;
    justify-content: center;
    padding: 30px;
}

.hero h1 {
    font-size: 48px;
    font-weight: bold;
}

.hero p {
    font-size: 21px;
}

.icons {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin: 10px;
}

.icons img {
    transition: transform 0.3s ease; /* плавная анимация */
}

.icons img:hover {
    transform: scale(1.2); /* увеличивает иконку на 20% */
}

.map {
    width: 100%;
    height: 300px;
    position: relative;
    overflow: hidden;
}

.map iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Footer */

.footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}


/* Adaptive */

@media (max-width: 1024px) {
        .header {
        flex-wrap: wrap;
    }

    .btn-header {
        display: none;
    }

    .logo {
        width: 50px;
    }

    .burger {
        display: flex;
    }

    .close-btn {
        display: flex;
    }

    .nav-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background: #111;
        display: flex;
        align-items: center;
        justify-content: center;
        transform: translateY(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 15;
    }

    .nav-menu.active {
        align-items: center;
        transform: translateY(0);
    }

    .nav-menu ul li a {
        font-size: 32px;
    }

    .nav-menu ul {
        gap: 60px;
    }

    .nav__list {
        list-style: none;
        text-align: center;
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    .hero p {
        font-size: 18px;
    }
}